> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses locations images



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/locations/{id}/images
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/locations/{id}/images:
    post:
      tags:
        - Locations
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: businessId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                formFiles:
                  type: array
                  items:
                    type: string
                    format: binary
            encoding:
              formFiles:
                style: form
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ImagesSBImageResponse'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ImagesSBImageResponse'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ImagesSBImageResponse'
        '403':
          description: Forbidden
        '404':
          description: Not Found
components:
  schemas:
    ImagesSBImageResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        url:
          type: string
          nullable: true
        width:
          type: integer
          format: int32
        height:
          type: integer
          format: int32
        altText:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false

````